local packer = require("ensure-packer");
local plugins = require("plugins");
local settings = require("settings");

-- Theme Section
vim.cmd("colorscheme onedark")

-- Lualine Section
require('lualine').setup {
    options = { theme = 'auto' }
}

-- Comment
require('Comment').setup()

-- Mason
require("mason").setup()
require("mason-lspconfig").setup({
    ensure_installed = { "rust_analyzer", "pylsp" },
    automatic_installation = true,
})
